Issue 118569 - IP cleanup, replace neon library
Summary: IP cleanup, replace neon library
Status: CLOSED FIXED
Alias: None
Product: ucb
Classification: Code
Component: code (show other issues)
Version: 3.4.0 Beta (OOo)
Hardware: PC All
: P5 (lowest) Critical (vote)
Target Milestone: ---
Assignee: jsc
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 118675
  Show dependency tree
 
Reported: 2011-11-02 15:05 UTC by jsc
Modified: 2016-04-09 10:14 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description jsc 2011-11-02 15:05:58 UTC
Replace neon that has an incompatible license with something else...
Comment 1 Oliver-Rainer Wittmann 2012-01-30 09:15:27 UTC
work is in progress to replace neon by serf (http://code.google.com/p/serf/) which is licensed under the Apache License.
Comment 2 Andre 2012-02-08 15:34:58 UTC
Added libraries apr, apr-util, and serf as preparation for the replacement of neon by serf.

SVN revision is 1241928.
Comment 3 Pedro Giffuni 2012-02-08 20:57:51 UTC
Kudos! Apparently serf is faster than neon on WANs.

Not wanting to be a PITA with the great work you guys are doing here...

It would be really nice to be able to use system libraries for apr and serf since those are part of SVN and other packages already.
Comment 4 Andre 2012-02-09 10:00:13 UTC
@Pedro: The neon replacement is not yet complete.  Adding the libraries was just one step.  Maybe I find the time to add the --with-system switches (for coinmp as well.)

And no, you are not a PITA :-)  It is good that you tell us when things can be improved.
Comment 5 Andre 2012-02-23 13:36:01 UTC
Checked in the code changes from Oliver that make the webdav ucp use serf instead of neon.

I had to make some adaptions to the apr, apr-util, and serf modules to fix some linking issues on Linux and Mac.

SVN revision is 1292794.
Comment 6 Andre 2012-02-23 16:07:33 UTC
I forgot again to watch for new and removed files when I transplanted the changes from git to svn.
Have added the new serf files and removed the old neon files with revision 1292832.
Comment 7 Pedro Giffuni 2012-02-23 18:43:56 UTC
(In reply to comment #5)
> Checked in the code changes from Oliver that make the webdav ucp use serf
> instead of neon.
> 
> I had to make some adaptions to the apr, apr-util, and serf modules to fix some
> linking issues on Linux and Mac.
> 
> SVN revision is 1292794.

Something wrong:

deliver -- version: 275594
LOG: writing /usr/ports/editors/openoffice-3-devel/work/ooo/main/solver/340/unx$
Module 'unixODBC' delivered successfully. 0 files copied, 6 files unchanged

Entering /usr/ports/editors/openoffice-3-devel/work/ooo/ext_libraries/apr

dmake:  makefile.mk:  line 30:  Error: -- Include file apr_version.mk, not found
Comment 8 Pedro Giffuni 2012-02-24 04:03:58 UTC
Ariel added the version files.
Comment 9 Andre 2012-02-24 08:20:45 UTC
Thanks Ariel for adding the missing _version.mk files and updating some license headers.

There is still another file missing, a patch for apr-util/ on the Mac.  SVN revision is 1293126.
Comment 10 Andre 2012-03-01 10:22:08 UTC
Fixed the verification of ssl certificates.  Now the whole chain is used both for automatic verification and for the dialog that is presented to the user for manual verification.
Comment 11 Marcus 2016-04-09 10:14:42 UTC
fixed in 4.0.0